[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusPanel.Assign

Implements persistence for the class type.

## Declaration

Source position: comctrls.pp line 85

`public procedure TStatusPanel.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Class instance with the values stored in the status panel.

## Description

Assign copies text, width, alignment, bevel and style properties from Source if it is of correct type, otherwise calls inherited Assign (which will probably raise an exception).

## See also

TPersistent.Assign